<?php

/*
-------------------------------------
Класс для работы со словами по языкам
-------------------------------------
*/
  
CLASS LG {
  
  PRIVATE STATIC $array = ARRAY();
  
  PUBLIC STATIC FUNCTION START() {
    
    GLOBAL $config;
    
    $lang = ROOT . "/system/languages/config/".$config['LANGUAGE'].".ini";
    
    FILE_EXISTS($lang) ? SELF :: $array = PARSE_INI_FILE($lang) : FALSE;
  
  }
  
  PUBLIC STATIC FUNCTION SHOW($lang) {
    
    GLOBAL $config;
    
    IF (EMPTY($array[$lang])) {
      
      LG::START();
    
    }
    
    RETURN (@SELF :: $array[$lang] ? SELF :: $array[$lang] : $lang);
  
  }

}
  
?>